return {
  {
    'mrjones2014/legendary.nvim',
    config = function()
      require('setup/my_legendary')
      require('legendary').keymaps(
        {
          {
            '<leader>i',
            function()
              require("lazy").home()
            end,
            description = 'Start lazy home'
          }
        }
      )
    end,
    dependencies = {
      'stevearc/dressing.nvim',
      'nvim-telescope/telescope.nvim',
    },
    keys = { '<leader>p', '<leader>i' }
  },
  {
    'eddyekofo94/gruvbox-flat.nvim',
    disable = false,
    priority = 1000,
    config = function()
      require('setup/my_gruvbox_flat')
    end
  },
  {
    'akinsho/toggleterm.nvim',
    config = function()
      require('setup/toggleterm')
    end,
    cmd = 'ToggleTerm',
    keys = '<space>g'
  },
  {
    'gbprod/yanky.nvim',
    config = function()
      require('setup/yanky')
    end,
    keys = {
      { '<c-n>' },
      { '<c-o>' }
    },
    dependencies = {
      'nvim-telescope/telescope.nvim'
    }
  },
  {
    'stevearc/aerial.nvim',
    dependencies = {
      'nvim-telescope/telescope.nvim'
    },
    config = function()
      require('setup/aerial')
    end,
    cmd = 'AerialToggle',
    keys = {
      { '<leader>s' }
    }
  },
  {
    'ggandor/leap.nvim',
    dependencies = { 'tpope/vim-repeat' },
    config = function()
      require('setup/my_leap')
    end,
    event = 'VeryLazy'
  },
  {
    'mfussenegger/nvim-dap',
    dependencies = {
      'mfussenegger/nvim-dap-python',
      'theHamsta/nvim-dap-virtual-text',
      {
        'nvim-telescope/telescope-dap.nvim',
        dependencies = 'telescope.nvim',
      },
      'rcarriga/nvim-dap-ui',
      'rcarriga/cmp-dap',
    },
    keys = {
      { '<F5>' },
      { '<F6>' },
      { '<F7>' },
      { '<F8>' },
      { '<F9>' },
      { '<F10>' },
      { '<F11>' },
      { '<S-F11>' }
    },
    config = function()
      require('setup/my_dap')
    end,
  },
  {
    'sindrets/diffview.nvim',
    dependencies = 'nvim-lua/plenary.nvim',
    config = function()
      require('setup/my_diffview')
    end,
    cmd = 'DiffviewOpen',
  },
  {
    'stevearc/overseer.nvim',
    config = function()
      require('setup/my_overseer')
    end,
    keys = {
      { '<F4>' }
    },
  }
}
